#!/bin/bash
echo "Welcome!"

version="1.3.2"
platform="linux/amd64,linux/arm64,linux/arm/v7"
#version="1.3.2-arm64"
#platform="linux/arm64"
localRegistryPass="***REMOVED***"

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$localRegistryPass alpine-nexus:8500

echo "Create docker image with version $version for platform $platform"
docker buildx build \
	--build-arg APP_VERSION=$version \
	--platform $platform \
	--output=type=image,push=true,registry.insecure=true \
	--push \
	--tag alpine-nexus:8500/reverse-proxy/reverse-proxy-frontend:$version \
	.

echo "Done!"