import * as types from "./actionTypes";
import api from "./api";
import { sendHttpRequest } from "../../../redux/actions/httpActions";

export function loadSessionsRunningTime() {
  return async function (dispatch) {
    try {
      dispatch({ type: types.LOAD_SERVER_CHART_SESSIONS_RUNNING_TIME_STARTED });
      const data = await dispatch(
        sendHttpRequest(api.getSessionsRunningTime())
      );
      dispatch({
        type: types.LOAD_SERVER_CHART_SESSIONS_RUNNING_TIME_SUCCESS,
        payload: data
      });
    } catch (error) {
      throw error;
    }
  };
}
