import React from "react";
import PropTypes from "prop-types";
import { Grid } from "@material-ui/core";
import { useTranslation } from "react-i18next";
import ActiveIcon from "../../../../../../components/common/ActiveIcon";

const PathOverwriteSummary = ({ data }) => {
  const { t } = useTranslation();

  return (
    <Grid container>
      <Grid item xs={6} sm={3} md={3}>
        {`${t("General.Enabled")}: `}
        <ActiveIcon active={data.on} />
      </Grid>
    </Grid>
  );
};

PathOverwriteSummary.propTypes = {
  data: PropTypes.object.isRequired
};

export default PathOverwriteSummary;
