import * as types from "./actionTypes";

export function showInfo(msg) {
  return { type: types.SHOW_SNACKBAR_INFO, payload: msg };
}

export function showSuccess(msg) {
  return { type: types.SHOW_SNACKBAR_SUCCESS, payload: msg };
}

export function showError(msg, correlationId) {
  return {
    type: types.SHOW_SNACKBAR_ERROR,
    payload: msg,
    correlationId: correlationId
  };
}

export function showWarning(msg) {
  return {
    type: types.SHOW_SNACKBAR_WARNING,
    payload: msg
  };
}
