#!/bin/bash
echo "Welcome!"

version="1.2.0"
registryPass="***REMOVED***"

echo "Create docker image with version $version."
docker image build -t "reverse-proxy-frontend:$version" .

echo "Tag docker image with registry prefix."
docker tag reverse-proxy-frontend:$version alpine-nexus:8500/reverse-proxy/reverse-proxy-frontend:$version

echo "Login to alpine-nexus registry."
docker login --username=admin --password=$registryPass alpine-nexus:8500

echo "Push image reverse-proxy-frontend:$version to registry."
docker push alpine-nexus:8500/reverse-proxy/reverse-proxy-frontend:$version

echo "DONE!"