import * as types from "./actionTypes";
import initialState from "../../../redux/reducers/initialState";

export function optionsReducer(state = initialState.options, action) {
  switch (action.type) {
    case types.LOAD_FORWARD_OPTIONS_STARTED:
      return {
        ...state,
        [action.id]: { loading: true, loaded: false }
      };

    case types.LOAD_FORWARD_OPTIONS_SUCCESS:
      return {
        ...state,
        [action.id]: {
          ...action.payload,
          loading: false,
          loaded: true
        }
      };

    default:
      return state;
  }
}
