import * as types from "./actionTypes";
import initialState from "../../redux/reducers/initialState";

export default function releaseNotesReducer(
  state = initialState.releaseNotes,
  action
) {
  switch (action.type) {
    case types.LOAD_RELEASE_NOTES_STARTED:
      return Object.assign([], { loading: true, loaded: false });

    case types.LOAD_RELEASE_NOTES_SUCCESS:
      return Object.assign(action.payload, { loading: false, loaded: true });

    default:
      return state;
  }
}
