import { get } from "../../api/axiosApi";
const baseUrl = process.env.REVERSE_PROXY_API_URL;

const getServerData = () => get(`${baseUrl}/server/data`);
const getSystemVersion = () => get(`${baseUrl}/system/version`);
const getActiveSession = () => get(`${baseUrl}/server/active-session`);

export default {
  getServerData,
  getSystemVersion,
  getActiveSession
};
