import { get } from "../../api/axiosApi";
const baseUrl = `${process.env.REVERSE_PROXY_API_URL}/server`;

const getServerSessions = () => get(`${baseUrl}/sessions`);
const getSessionForwards = sessionId =>
  get(`${baseUrl}/session-forwards/${sessionId}`);

export default {
  getServerSessions,
  getSessionForwards
};
